be.ehealth.businessconnector.addressbook.service.impl

## Class AddressbookTokenServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.addressbook.service.impl.AddressbookTokenServiceImpl

- All Implemented Interfaces:
    AddressbookTokenService

      public class AddressbookTokenServiceImpl
      extends Object
      implements AddressbookTokenService

  Implementation for the `AddressbookTokenService` interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressbookTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)` Creates a new InsurabilityServiceImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetOrganizationContactInfoResponse` | `getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request)`
    `GetProfessionalContactInfoResponse` | `getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request)`
    `SearchOrganizationsResponse` | `searchOrganizations(SAMLToken token, SearchOrganizationsRequest request)`
    `SearchProfessionalsResponse` | `searchProfessionals(SAMLToken token, SearchProfessionalsRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressbookTokenServiceImpl

          public AddressbookTokenServiceImpl(SessionValidator sessVal,
                                             EhealthReplyValidator ehRepVal)
                                      throws TechnicalConnectorException

      Creates a new InsurabilityServiceImpl
      Throws:
        `TechnicalConnectorException`

  - ### Method Detail

    - #### getOrganizationContactInfo

          public GetOrganizationContactInfoResponse getOrganizationContactInfo(SAMLToken token,
                                                                               GetOrganizationContactInfoRequest request)
                                                                        throws TechnicalConnectorException

      Specified by:
        `getOrganizationContactInfo` in interface `AddressbookTokenService`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### getProfessionalContactInfo

          public GetProfessionalContactInfoResponse getProfessionalContactInfo(SAMLToken token,
                                                                               GetProfessionalContactInfoRequest request)
                                                                        throws TechnicalConnectorException

      Specified by:
        `getProfessionalContactInfo` in interface `AddressbookTokenService`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### searchOrganizations

          public SearchOrganizationsResponse searchOrganizations(SAMLToken token,
                                                                 SearchOrganizationsRequest request)
                                                          throws TechnicalConnectorException

      Specified by:
        `searchOrganizations` in interface `AddressbookTokenService`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### searchProfessionals

          public SearchProfessionalsResponse searchProfessionals(SAMLToken token,
                                                                 SearchProfessionalsRequest request)
                                                          throws TechnicalConnectorException

      Specified by:
        `searchProfessionals` in interface `AddressbookTokenService`
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.